# PLEASE adhere to the alphabetical ordering in this Makefile!
# Also indentation by a single tab

TESSELATIONTESTSSOURCES = \
  ../Tesselation/unittests/TesselationUnitTest.cpp \
  ../Tesselation/unittests/Tesselation_BoundaryTriangleUnitTest.cpp \
  ../Tesselation/unittests/Tesselation_InsideOutsideUnitTest.cpp

TESSELATIONTESTSHEADERS = \
	../Tesselation/unittests/TesselationUnitTest.hpp \
  ../Tesselation/unittests/Tesselation_BoundaryTriangleUnitTest.hpp \
  ../Tesselation/unittests/Tesselation_InsideOutsideUnitTest.hpp

TESSELATIONTESTS = \
  TesselationUnitTest \
  Tesselation_BoundaryTriangleUnitTest \
  Tesselation_InOutsideUnitTest

TESTS += $(TESSELATIONTESTS)
check_PROGRAMS += $(TESSELATIONTESTS) 
noinst_PROGRAMS += $(TESSELATIONTESTS)

TESSELATIONLIBS = \
	../libMolecuilderUI.la \
	../libMolecuilder.la \
	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
	${CodePatterns_LIBS} \
	$(BOOST_LIB)


TesselationUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Tesselation/unittests/TesselationUnitTest.cpp \
	../Tesselation/unittests/TesselationUnitTest.hpp
TesselationUnitTest_LDADD = ${TESSELATIONLIBS}

Tesselation_BoundaryTriangleUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Tesselation/unittests/Tesselation_BoundaryTriangleUnitTest.cpp \
	../Tesselation/unittests/Tesselation_BoundaryTriangleUnitTest.hpp 
Tesselation_BoundaryTriangleUnitTest_LDADD = ${TESSELATIONLIBS}

Tesselation_InOutsideUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Tesselation/unittests/Tesselation_InsideOutsideUnitTest.cpp \
	../Tesselation/unittests/Tesselation_InsideOutsideUnitTest.hpp
Tesselation_InOutsideUnitTest_LDADD = ${TESSELATIONLIBS}


#AUTOMAKE_OPTIONS = parallel-tests
